
function monitors() {
  this.list = [];

  this.refresh = function() {
    this.list = [];
    var _displays = getDisplays();
    _displays.each(function(display, index) {
      this.list.push({
        name: parseInt(index) + 1 + ': ' + display.rect.width + 'x' + display.rect.height,
        width: display.workRect.width,
        height: display.workRect.height,
        workRect: display.workRect,
        rect: display.rect
      });
    }.bind(this));
  }

  this.refresh();
}

var mm = new monitors();
