
var skins = [
  { name: "Gray", image: "infobar_bg001.png" },
  { name: "Red", image: "infobar_bg002.png" },
  { name: "Dark marine", image: "infobar_bg003.png" },
  { name: "Plastic", image: "infobar_bg004.png" },
  { name: "Dark blue", image: "infobar_bg005.png" },
  { name: "Silver metal", image: "infobar_bg006.png" },
  { name: "Black", imageTop: "infobar_bg007-top.png", imageBottom: "infobar_bg007-bottom.png" },
  { name: "Blue sky", imageTop: "infobar_bg008-top.png", imageBottom: "infobar_bg008-bottom.png" },
  { name: "Gray plastic", imageTop: "infobar_bg009-top.png", imageBottom: "infobar_bg009-bottom.png" },
  { name: "Olive", image: "infobar_bg010.png" },
  { name: "Noir", image: "infobar_bg011.png" },
  { name: "Darkgray plastic", image: "infobar_bg012.png" },
  { name: "Marine", image: "infobar_bg013.png" },
  { name: "Black metal", image: "infobar_bg014.png" },
  { name: "Black metal (with shadow)", image: "Black-metal-shadowed.png" },
  { name: "Futuristic", image: "infobar_bg015.png" },
  { name: "Blue light", image: "infobar_bg016.png" },
  { name: "Silver", image: "infobar_bg017.png" },
  { name: "Green", imageTop: "infobar_bg018-top.png", imageBottom: "infobar_bg018-bottom.png" },
  { name: "Light", image: "infobar_bg019.png" },
  { name: "Dark plastic", image: "infobar_bg020.png" },
  { name: "Textured", image: "infobar_bg021.png" }
];

function applySkin(name) {
  var src = name;
  if (!src) src = "Default";

  if (src == "Custom") {
    if (!filesystem.itemExists(preferences.dockCustomSkin.value)) {
      background.src = "Skins/Default.png";
    } else {
      background.src = preferences.dockCustomSkin.value;
    }
    alignControls();
    return;
  }

  for (var i = 0; i < skins.length; i++) {
    if (skins[i].name == name) {
      if (skins[i]["image"]) {
        src = "Skins/" + skins[i].image;
      } else {
        var side = "imageBottom";
        switch (parseInt(preferences.position.value)) {
          case 1: side = "imageTop";
                  break;
          case 2: side = "imageBottom";
                  break;
        }
        if (skins[i][side]) {
          src = "Skins/" + skins[i][side];
        }
      }
    }
  }

  if ((src == "") || (src == "Default")) {
    src = "Skins/Default";
  }
  if (src.indexOf(".") == -1) {
    src += ".png";
  }
  background.src = src;
  alignControls();
}
