
var Color = {

  HexToRGB: function(H) { 
    if (H == "") {
      return {r: 255, g: 255, b: 255};
    }
    if (H.substr(0, 1) == "#") {
      H = H.substr(1, H.length - 1);
    }
    var r = parseInt(H.substr(0, 2), 16);
    var g = parseInt(H.substr(2, 2), 16);
    var b = parseInt(H.substr(4, 2), 16);
    return {r: r, g: g, b: b};
  },

  ColorToGrey: function(Color) {
    var avg = Math.round((Color.r * 20 + Color.g * 50 + Color.b * 30) / 100);
    return {r: avg, g: avg, b: avg};
  },

  isLightColor: function(C) {
    // Check if any of these value is more than a half of 255
    return (Color.ColorToGrey(C).r >= 128);
  }

};
