
var mgmValue   = 0; // Display value
var mgmPercent = 1; // Display percent

/* ------------------------------------------------------------------------ */

var MemGraphModeProp = ListProp.extend({
  initialize: function() {
    var optTexts = [tr("Used Memory Value"), tr("Used Memory Percentage")];
    var optValues = [mgmValue, mgmPercent];
    this.parent("display-mode", "Text Display:", mgmValue, optTexts, optValues);
    this.className = "MemGraphModeProp";
  }
});

/* ------------------------------------------------------------------------ */

// Sensor by Alexander Gross

var DockBaseMemGraph = DockBaseSoloGraph.extend(
{
  initialize: function()
  {
    this.parent();
    this.className = "DockBaseMemGraph";
    
    this.showModeProp = new MemGraphModeProp();
    this.props = [this.showModeProp].concat(this.props);
  },

  updateProps: function(loaded) {
    this.parent(loaded);
    if (!loaded && this.value) {
       this.value.data = (this.showModeProp.value == mgmValue) ? "9999 MB" : "100%";
       this.value.hOffset = this.bk.hOffset + this.bk.width + 5 + this.value.width;
       dockObj.align();
       this.value.data = this.getValueText();
    }
  },

  createControls: function() {
    if (this.parent() && this.value) {
      this.value.data = (this.showModeProp.value == mgmValue) ? "9999 MB" : "100%";
      this.value.hOffset = this.bk.hOffset + this.bk.width + 5 + this.value.width;
    }
    return (this.frame != null);
  },

  doClick: function()
  {
    this.parent();
    if (system.platform == "windows") {
      runCommandInBg("%SystemRoot%/system32/taskmgr.exe", "taskManagerRun");
    }
    if (system.platform == "macintosh") {
      filesystem.open("/Applications/Utilities/Activity Monitor.app");
    }
  }
});
