
include("Sensors/CPUHint.js");

var DockCPUGraph = DockBaseSoloGraph.extend({
  initialize: function() {
    this.parent();
    this.className = "DockCPUGraph";
  },

  getName: function() {
    return tr("CPU Graph");
  },

  graphName: function() {
    return tr("CPU");
  },

  getValue: function() {
    return system.cpu.activity;
  },

  getTitle: function() {
    return "CPU usage history";
  },

  getHint: function() {
    return getCPUHint();
  },

  doClick: function() {
    this.parent();
    if (system.platform == "windows") {
      runCommandInBg("%SystemRoot%/system32/taskmgr.exe", "taskManagerRun");
    }
    if (system.platform == "macintosh") {
      filesystem.open("/Applications/Utilities/Activity Monitor.app");
    }
  }
});

dockFactory.register({name: tr("CPU Graph"),
                      className: "DockCPUGraph",
                      classDef: DockCPUGraph,
                      category: tr("System"),
                      description: tr("Show CPU usage history")
                      });
