function getCPUHint() {
  var user = Math.round(system.cpu.user * 10);
  var sys  = Math.round(system.cpu.sys * 10);
  var nice = Math.round(system.cpu.nice * 10);
  
  if (user + sys > 1000) {
    user = 1000 - sys;
  }
  if (user + sys + nice > 1000) {
    nice = 1000 - user - sys;
  }
  
  var load = user + sys + nice;
  var idle = 1000 - load;
  
  load = formatFloat(load / 10, 1);
  user = formatFloat(user / 10, 1);
  sys  = formatFloat(sys  / 10, 1);
  idle = formatFloat(idle / 10, 1);
  var text = system.cpu.numProcessors + (system.cpu.numProcessors == 1 ? tr(" CPU uses") : tr(" CPUs use")) +
    "\n   " + tr("activity: ") + load + "%" +
    "\n   " + tr("by user tasks: ") + user + "%" +
    "\n   " + tr("by system: ") + sys + "%";
    if (system.platform == "macintosh") {
      nice = formatFloat(nice / 10, 1);
      text += "\n   " + tr("by high-priority tasks: ") + nice + "%";
    }
    text += "\n   " + tr("idle: ") + idle + "%";
    if (!dockObj.isLocked()) {
      if (system.platform == "macintosh") {
        text += tr("\n\nClick to open Activity Monitor");
      } else {
        text += tr("\n\nClick to open Task Manager");
      }
    }
  return text;
}

