
include("Sensors/MemHint.js");

var DockMemMeter = DockBaseMeter.extend({
  initialize: function(disk) {
    this.parent();
    this.className = "DockMemMeter";
  },

  getName: function() {
    return tr("Memory Meter");
  },

  meterName: function() {
    return tr("RAM");
  },

  getValue: function() {
    return system.memory.load;
  },

  getHint: function() {
    return getMemHint();
  },

  doClick: function()
  {
    this.parent();
    if (system.platform == "windows") {
      runCommandInBg("%SystemRoot%/system32/taskmgr.exe", "taskManagerRun");
    }
    if (system.platform == "macintosh") {
      filesystem.open("/Applications/Utilities/Activity Monitor.app");
    }
  }

});

dockFactory.register({name: tr("Memory Meter"),
                      className: "DockMemMeter",
                      classDef: DockMemMeter,
                      category: tr("System"),
                      description: tr("Show used physical memory")
                      });
