
var YMailHint = Hint.extend({
  initialize: function(owner) {
    this.parent();
    this.owner = owner;
  },

  setXML: function(xml) {
    try {
      x = XMLDOM.parse(xml);
      var cnt = 0;
      if (String(x.evaluate("string(/alerts/mail/@num)")) != "-1") {
        cnt = parseInt(String(x.evaluate("string(/alerts/mail/@num)")));
      }
      if (isNaN(cnt)) cnt = 0;
      var text;
      switch (cnt) {
        case 0:  text = tr("You have no mail."); break;
        case 1:  text = tr("You have 1 mail in your Yahoo! MailBox."); break;
        default: text = tr("You have %d mails in your Yahoo! MailBox.");
                 text = text.replace(/%d/, cnt);
                 break;
      }
      if (!dockObj.locked) {
        text += "\n\n" + tr("Click to open Login Dialog or Yahoo! Mail web-client");
      }
      this.setText(text);
    } catch(e) {
      this.setText(tr("Format error"));
    }                       
  },

  setOptions: function(rowLimit, widthLimit) {
  },

  setErrorText: function(text) {
    this.setText(tr("Error:") + " " + text);
  },

  render: function() {
    this.setXML(this.owner.data);
  }
});
