
oldPos = parseInt(preferences.position.value);
oldMM = preferences.enableMM.value;
oldMMPos = preferences.mmPosition.value;

// Fill Monitors
try {
  if (mm) {
    var names = [];
    var values = [];
    for (var i = 0; i < mm.list.length; i++) {
      if (!mm.list[i]["name"]) break;
      //names.push((parseInt(i) + 1) + ". " + mm.list[i].name + " (" + mm.list[i].width + "x" + mm.list[i].height + ")");
      names.push(mm.list[i].name);
      values.push(i);
    }
    preferences.mmPosition.option = names;
    preferences.mmPosition.optionValue = values;
  }
} catch(e) {
  preferences.mmPosition.option = ["First"];
  preferences.mmPosition.optionValue = [0];
}

// Fill Skins
var skinNames = [tr("Default")];
for (var i = 0; i < skins.length; i++) {
  skinNames.push(skins[i].name);
}
skinNames.push(tr("Custom"));
preferences.dockSkin.option = skinNames;
skinNames[0] = "Default";
skinNames[skinNames.length-1] = "Custom";
preferences.dockSkin.optionValue = skinNames;

// Translations
preferences.shortcutKey.description = "Using the key combination above you can bring up Informer to front.\n\nNote:\nDon't work if window level is 'Below' or 'Konspose Only'.";
preferences.sepWidth.tickLabel = ["1 " + tr("pix."), "20 " + tr("pix.")];
preferences.position.tickLabel = [tr("Top"), tr("Bottom")];
preferences.dockColorize.options = [tr("Standard color"), tr("Following color selection")];
preferences.dockOpacity.tickLabel = ["0%", tr("Opacity"), "100%"];
preferences.highlightDock.description = " ";
preferences.inactiveSensorOpacity.tickLabel = ["0%", tr("Opacity"), "100%"];
preferences.popupOpacity.tickLabel = ["0%", tr("Opacity"), "100%"];
preferences.notifySide.tickLabel = [tr("Left"), tr("Right")];

if (system.platform == "macintosh") {
  preferences.clipWorkarea.type = "hidden";
}
