
var TurboFolderStartMenuPopup = TurboFolderPopup.extend({

  getItems: function(folder) {
    try {
      if (folder) {
        var items = filesystem.getDirectoryContents(folder + ".");
      } else {
        if (system.platform == "windows") {
          var items = filesystem.getDirectoryContents(dockObj.folders["Programs"] + "\\.");
          var commonitems = filesystem.getDirectoryContents(dockObj.folders["Common Programs"] + "\\.");
          items.extend(commonitems);
        } else {
          var items = filesystem.getDirectoryContents("/Applications/.");
        }
      }
      return items;
    } catch(e) {
      return [];
    }
  },

  /*getDisplayName: function(path) {
    var tmp = path.split("/");
    if (tmp[tmp.length - 1] == "") tmp.pop();
    var s = (tmp.length > 0)?tmp.pop():filesystem.getDisplayName(path);
    if (system.platform == "windows") {
      s = s.replace(/\.lnk/ig, "");
    }
    if (system.platform == "macintosh") {
      s = s.replace(/\.app/ig, "");
    }
    return s;
  },*/

  doShow: function() {
    if (system.platform == "macintosh") {
      this.folder = "/Applications/";
    }
    this.parent();
  }

});
